#
# Conditional build:
%bcond_without	apidocs		# API docs
%bcond_without	static_libs	# static library
%bcond_without	vala		# Vala binding

Summary:	Cabinet file library
Summary(pl.UTF-8):	Biblioteka obsługi plików cabinet
Name:		gcab
Version:	1.5
Release:	2
License:	LGPL v2.1+
Group:		Libraries
Source0:	https://download.gnome.org/sources/gcab/1.5/%{name}-%{version}.tar.xz
# Source0-md5:	eb1fec63d35aaa82d4154818072c1b0c
URL:		https://gitlab.gnome.org/GNOME/gcab
BuildRequires:	gcc >= 5:3.2
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.62.0
BuildRequires:	gobject-introspection-devel >= 0.9.4
BuildRequires:	gtk-doc >= 1.14
BuildRequires:	meson >= 0.50.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	sed >= 4.0
BuildRequires:	tar >= 1:1.22
%{?with_vala:BuildRequires:	vala >= 2:0.14}
BuildRequires:	xz
BuildRequires:	zlib-devel
Requires:	glib2 >= 1:2.62.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Cabinet file library.

%description -l pl.UTF-8
Biblioteka obsługi plików cabinet.

%package devel
Summary:	Header files for gcab library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki gcab
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.62.0

%description devel
Header files for gcab library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki gcab.

%package static
Summary:	Static gcab library
Summary(pl.UTF-8):	Statyczna biblioteka gcab
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static gcab library.

%description static -l pl.UTF-8
Statyczna biblioteka gcab.

%package apidocs
Summary:	gcab API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki gcab
Group:		Documentation
Requires:	gtk-doc-common
BuildArch:	noarch

%description apidocs
API documentation for gcab library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki gcab.

%package -n vala-gcab
Summary:	Vala API for gcab library
Summary(pl.UTF-8):	API języka Vala dla biblioteki gcab
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	vala >= 2:0.14
BuildArch:	noarch

%description -n vala-gcab
Vala API for gcab library.

%description -n vala-gcab -l pl.UTF-8
API języka Vala dla biblioteki gcab.

%prep
%setup -q

%{__sed} -i -e '/^if git\.found/ s/git\.found()/false/' meson.build
%if %{with static_libs}
%{__sed} -i -e 's/shared_library/library/' libgcab/meson.build
%endif

%build
%meson build

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc NEWS README.md
%attr(755,root,root) %{_bindir}/gcab
%attr(755,root,root) %{_libdir}/libgcab-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgcab-1.0.so.0
%{_libdir}/girepository-1.0/GCab-1.0.typelib
%{_mandir}/man1/gcab.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgcab-1.0.so
%{_includedir}/libgcab-1.0
%{_datadir}/gir-1.0/GCab-1.0.gir
%{_pkgconfigdir}/libgcab-1.0.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libgcab-1.0.a
%endif

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/gcab
%endif

%if %{with vala}
%files -n vala-gcab
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/libgcab-1.0.deps
%{_datadir}/vala/vapi/libgcab-1.0.vapi
%endif
%changelog
* Wed Aug 17 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gcab.git;a=log;h=master

* Wed Aug 17 2022 Jakub Bogusz <qboosh@pld-linux.org> 79b27b8
- release 2

* Mon Aug 15 2022 Jakub Bogusz <qboosh@pld-linux.org> f573b9c
- updated to 1.5; hacked to build without git checkout when git is installed

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> 858f251
- unconditional noarch subpackages

* Wed Jan 08 2020 Jakub Bogusz <qboosh@pld-linux.org> f338627
- updated to 1.4

* Thu Oct 10 2019 Jakub Bogusz <qboosh@pld-linux.org> edcbefd
- updated to 1.3

* Sat Jan 26 2019 Jakub Bogusz <qboosh@pld-linux.org> b1356fe
- updated to 1.2

* Sat Oct 06 2018 Jakub Bogusz <qboosh@pld-linux.org> 78c564a
- updated to 1.0

* Mon Mar 28 2016 Elan Ruusamäe <glen@delfi.ee> f8d5000
- noarch vala subpackage

* Sun Apr 12 2015 Jakub Bogusz <qboosh@pld-linux.org> 4a8e0d1
- updated to 0.6

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> fdc291a
- updated gettext BR

* Sun Dec 07 2014 Jan Rękorajski <baggins@pld-linux.org> d6f2db5
- libffi rebuild
- release 3 (by relup.sh)

* Thu Apr 03 2014 Elan Ruusamäe <glen@delfi.ee> 0d3957b
- release 2 (by relup.sh)

* Thu Apr 03 2014 Elan Ruusamäe <glen@delfi.ee> bb035b7
- noarch apidocs

* Thu Feb 14 2013 Jakub Bogusz <qboosh@pld-linux.org> f3f17e6
- enable fast-install (libtool option in configure.ac broke build)

* Thu Feb 14 2013 Jakub Bogusz <qboosh@pld-linux.org> 16060b9
- new

